%define	major 3
%define	libname %mklibname autotrace %{major}
%define	develname %mklibname autotrace -d

Summary:	Program for converting bitmap to vector graphics
Summary(de):	konvertiert Bitmaps in Vektorgrafiken
Name:		autotrace
Version:	0.31.1
Release:	%mkrel 29
Group:		Publishing
License:	GPLv2+ and LGPLv2+
URL:		http://autotrace.sourceforge.net
Source0:	http://prdownload.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:		autotrace_0.31.1-13.diff
Patch1:		autotrace-0.31.1-swf-output.patch
Patch3:		autotrace-0.31.1-CVE-2013-1953.patch
BuildRequires:	pstoedit-devel
BuildRequires:	%{_lib}magick-devel
BuildRequires:	multiarch-utils >= 1.0.3
Provides:	fonttracer
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Autotrace is a program for converting bitmap to vector graphics.
Supported formats:

- Input formats: BMP, TGA, PNM, PPM, PGM, PBM and those supported by
  ImageMagick.

- Export formats: Postscript, svg, xfig, swf, pstoedit, emf, dxf, cgm, 
  mif, p2e and sk
#german
%description -l de
AutoTrace ist ein Programm, welches Bitmaps in Vektorgrafiken konvertiert. 
Das Ziel des AutoTrace-Projekts ist die Entwicklung einer frei verfügbaren 
Anwendung, die CorelTrace oder Adobe Streamline ähnelt. In einigen Punkten 
ist es sogar schon besser. 
AutoTrace wurde ursprünglich als Plugin für GIMP erstellt, ist jetzt aber 
ein selbstständiges Programm. Homepage: http://autotrace.sourceforge.net/

%package -n	%{libname}
Summary:	Autotrace libraries
Summary(de):	Autotrace Bibliotheken
Group:		System/Libraries
Obsoletes:	%mklibname autotrace 4

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically
linked with autotrace libraries.
#german
%description -n	%{libname} -l de
Dieses Pakte enthält Bibliotheken die benötigt werden um Programme 
in Verbindung mit autotrace laufen zu lassen.

%package -n	%{develname}
Summary:	Static libraries and header files for autotrace development
Summary(de):	Statische Bibliotheken und Header Dateien zur Entwicklung von autotrace
Group:		Development/Libraries
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel
Obsoletes:	%{mklibname autotrace 4 -d}

%description -n %{develname}
This package contains the static libraries and header files for
developing applications based on autotrace.
#german
%description -n %{develname} -l de
Dieses Paket enthält die statische Bibliothek und Header Dateien 
die zum entwickeln von autotrace Anwendungen benötigt werden.

%prep

%setup -q
%patch0 -p1
%patch1 -p0
%patch3 -p1

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*


%build
autoreconf -fi
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%multiarch_binaries %{buildroot}%{_bindir}/autotrace-config

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ README THANKS
%{_bindir}/autotrace
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README
%multiarch %{multiarch_bindir}/autotrace-config
%{_bindir}/autotrace-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*


%changelog
* Thu Nov 03 2016 adrianomorselli <adrianomorselli> 0.31.1-29uplos2016
- rebuild

* Tue May 10 2016 woodhead <pp> 0.31.1-29pclos2016
- rebuild against updated ImageMagick

* Sat Aug 08 2015 bb <bb> 0.31.1-28pclos2015
- add security patch
- rebuild against updated glibc
- remove .la files

* Sun Feb 24 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.31.1-27pclos2013
- rebuild against new imagemagick
- removed hard coded Requires: libmagick4

* Thu May 17 2012 leiche <meisssw01 at gmail.com> 0.31.1-26pclos2012
- rebuild for 64 bitmap
- add german description
- exclude *.la files

